- Home
- API Enriched
- Tenant And Identity
- config
- Application Objects Inventory.
Application Objects Inventory.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/application_inventory';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"bigip_virtual_server_filter":{"api_discovery":true,"waf_configured":true},"cdn_load_balancer_filter":{"api_definition":true,"api_discovery":true,"api_protection":true,"api_schema_validation":true,"bot_protection":true,"client_blocking":true,"client_side_defense":true,"cookie_protection":true,"cors_policy":true,"csrf_protection":true,"data_guard":true,"ddos_auto_mitigation":true,"ddos_mitigation":true,"ddos_protection":true,"default_loadbalancer":true,"graph_ql_inspection":true,"http_only":true,"ip_reputation":true,"malicious_user_detection":true,"malicious_user_mitigation":true,"malware_protection":true,"mutual_tls":true,"namespace_service_policy":true,"origin_server_subset":true,"private_advertisement":true,"public_advertisment":true,"routes":true,"service_policy":true,"slow_ddos_mitigation":true,"trusted_client":true,"trusted_client_ip_headers":true,"waf":true,"waf_exclusion":true},"http_load_balancer_filter":{"api_definition":true,"api_discovery":true,"api_protection":true,"api_schema_validation":true,"bot_protection":true,"client_blocking":true,"client_side_defense":true,"cookie_protection":true,"cors_policy":true,"csrf_protection":true,"data_guard":true,"ddos_auto_mitigation":true,"ddos_mitigation":true,"ddos_protection":true,"default_loadbalancer":true,"graph_ql_inspection":true,"http_only":true,"ip_reputation":true,"malicious_user_detection":true,"malicious_user_mitigation":true,"malware_protection":true,"mutual_tls":true,"namespace_service_policy":true,"origin_server_subset":true,"private_advertisement":true,"public_advertisment":true,"routes":true,"service_policy":true,"slow_ddos_mitigation":true,"trusted_client":true,"trusted_client_ip_headers":true,"waf":true,"waf_exclusion":true},"namespace":"example","nginx_one_server_filter":{"api_discovery":true,"waf_configured":true},"tcp_load_balancer_filter":{"namespace_service_policy":true,"private_advertisement":true,"public_advertisment":true,"service_policy":true,"tls_encryption":true},"third_party_application_filter":{"api_discovery":true},"udp_load_balancer_filter":{"private_advertisement":true,"public_advertisment":true,"namespace_service_policy":true,"service_policy":true}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/application_inventory \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "bigip_virtual_server_filter": { "api_discovery": true, "waf_configured": true }, "cdn_load_balancer_filter": { "api_definition": true, "api_discovery": true, "api_protection": true, "api_schema_validation": true, "bot_protection": true, "client_blocking": true, "client_side_defense": true, "cookie_protection": true, "cors_policy": true, "csrf_protection": true, "data_guard": true, "ddos_auto_mitigation": true, "ddos_mitigation": true, "ddos_protection": true, "default_loadbalancer": true, "graph_ql_inspection": true, "http_only": true, "ip_reputation": true, "malicious_user_detection": true, "malicious_user_mitigation": true, "malware_protection": true, "mutual_tls": true, "namespace_service_policy": true, "origin_server_subset": true, "private_advertisement": true, "public_advertisment": true, "routes": true, "service_policy": true, "slow_ddos_mitigation": true, "trusted_client": true, "trusted_client_ip_headers": true, "waf": true, "waf_exclusion": true }, "http_load_balancer_filter": { "api_definition": true, "api_discovery": true, "api_protection": true, "api_schema_validation": true, "bot_protection": true, "client_blocking": true, "client_side_defense": true, "cookie_protection": true, "cors_policy": true, "csrf_protection": true, "data_guard": true, "ddos_auto_mitigation": true, "ddos_mitigation": true, "ddos_protection": true, "default_loadbalancer": true, "graph_ql_inspection": true, "http_only": true, "ip_reputation": true, "malicious_user_detection": true, "malicious_user_mitigation": true, "malware_protection": true, "mutual_tls": true, "namespace_service_policy": true, "origin_server_subset": true, "private_advertisement": true, "public_advertisment": true, "routes": true, "service_policy": true, "slow_ddos_mitigation": true, "trusted_client": true, "trusted_client_ip_headers": true, "waf": true, "waf_exclusion": true }, "namespace": "example", "nginx_one_server_filter": { "api_discovery": true, "waf_configured": true }, "tcp_load_balancer_filter": { "namespace_service_policy": true, "private_advertisement": true, "public_advertisment": true, "service_policy": true, "tls_encryption": true }, "third_party_application_filter": { "api_discovery": true }, "udp_load_balancer_filter": { "private_advertisement": true, "public_advertisment": true, "namespace_service_policy": true, "service_policy": true } }'ApplicationInventory returns inventory of configured application related objects for the tenant. Inventory of namespaced objects (HTTP LBs, TCP LBs, etc) in a particular namespace is returned.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace The name of the namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for inventory of application related objects from all namespaces.
object
object
Filter results with BIG-IP Virtual Server with API Discovery.
Filter results with BIG-IP Virtual Server with WAF configured.
object
Filter results with HTTP loadbalancers with API Definition.
Filter results with HTTP loadbalancers with API Discovery.
Filter results with HTTP loadbalancers with API Protection configured.
Filter results with HTTP loadbalancers with API Schema Validation.
Filter results with HTTP loadbalancers with Bot Protection configured.
Filter results with HTTP loadbalancers with Client Blocking.
Filter results with HTTP loadbalancers with Client Side Defense configured.
Filter results with HTTP loadbalancers with Cookie Protection.
Filter results with HTTP loadbalancers with CORS Policy.
Filter results with HTTP loadbalancers with CSRF Protection.
Filter results with HTTP loadbalancers with Data Guard.
Filter results with HTTP loadbalancers with L7 DDoS Auto Mitigation enabled.
Filter results with HTTP loadbalancers with DDoS Mitigation Rules configured.
Filter results with HTTP loadbalancers with L7 DDoS detection enabled.
Filter results with HTTP loadbalancers with Default Loadbalancer.
Filter results with HTTP loadbalancers with GraphQL Inspection.
Filter results with HTTP only loadbalancers.
Filter results with HTTP loadbalancers with IP Reputation configured.
Filter results with HTTP loadbalancers with Malicious User Detection configured.
Filter results with HTTP loadbalancers with Malicious User Mitigation.
Filter results with HTTP loadbalancers with Malware Protection.
Filter results with HTTP loadbalancers with mTLS.
Filter results with HTTP loadbalancers with Namespace Service Policy configured.
Filter results with HTTP loadbalancers with Origin Server Subset.
Filter results with HTTP loadbalancers advertised privately.
Filter results with HTTP loadbalancers advertised publicly.
Filter results with HTTP loadbalancers with Routes.
Filter results with HTTP loadbalancers with Service Policy configured.
Filter results with HTTP loadbalancers with Slow DDoS Mitigation.
Filter results with HTTP loadbalancers with Trusted Client.
Filter results with HTTP loadbalancers with Trusted Client IP Headers.
Filter results with HTTP loadbalancers with WAF configured.
Filter results with HTTP loadbalancers with WAF Exclusion.
object
Filter results with HTTP loadbalancers with API Definition.
Filter results with HTTP loadbalancers with API Discovery.
Filter results with HTTP loadbalancers with API Protection configured.
Filter results with HTTP loadbalancers with API Schema Validation.
Filter results with HTTP loadbalancers with Bot Protection configured.
Filter results with HTTP loadbalancers with Client Blocking.
Filter results with HTTP loadbalancers with Client Side Defense configured.
Filter results with HTTP loadbalancers with Cookie Protection.
Filter results with HTTP loadbalancers with CORS Policy.
Filter results with HTTP loadbalancers with CSRF Protection.
Filter results with HTTP loadbalancers with Data Guard.
Filter results with HTTP loadbalancers with L7 DDoS Auto Mitigation enabled.
Filter results with HTTP loadbalancers with DDoS Mitigation Rules configured.
Filter results with HTTP loadbalancers with L7 DDoS detection enabled.
Filter results with HTTP loadbalancers with Default Loadbalancer.
Filter results with HTTP loadbalancers with GraphQL Inspection.
Filter results with HTTP only loadbalancers.
Filter results with HTTP loadbalancers with IP Reputation configured.
Filter results with HTTP loadbalancers with Malicious User Detection configured.
Filter results with HTTP loadbalancers with Malicious User Mitigation.
Filter results with HTTP loadbalancers with Malware Protection.
Filter results with HTTP loadbalancers with mTLS.
Filter results with HTTP loadbalancers with Namespace Service Policy configured.
Filter results with HTTP loadbalancers with Origin Server Subset.
Filter results with HTTP loadbalancers advertised privately.
Filter results with HTTP loadbalancers advertised publicly.
Filter results with HTTP loadbalancers with Routes.
Filter results with HTTP loadbalancers with Service Policy configured.
Filter results with HTTP loadbalancers with Slow DDoS Mitigation.
Filter results with HTTP loadbalancers with Trusted Client.
Filter results with HTTP loadbalancers with Trusted Client IP Headers.
Filter results with HTTP loadbalancers with WAF configured.
Filter results with HTTP loadbalancers with WAF Exclusion.
The name of the namespace.
object
Filter results with NGINX One Server with specificed API Discovery enablement state.
Filter results with NGINX One Server with specified WAF enablement state.
object
Filter results with TCP loadbalancers with Namespace Service Policy configured.
Filter results with TCP loadbalancers advertised privately.
Filter results with TCP loadbalancers advertised publicly.
Filter results with TCP loadbalancers with Service Policy configured.
Filter results with TCP loadbalancers with TLS Encryption configured.
object
Filter results with Third Party Application with API Discovery.
object
Filter results with UDP loadbalancers advertised privately.
Filter results with UDP loadbalancers advertised publicly.
Filter results with UDP loadbalancers with Namespace Service Policy configured.
Filter results with UDP loadbalancers with Service Policy configured.
Examplegenerated
{ "bigip_virtual_server_filter": { "api_discovery": true, "waf_configured": true }, "cdn_load_balancer_filter": { "api_definition": true, "api_discovery": true, "api_protection": true, "api_schema_validation": true, "bot_protection": true, "client_blocking": true, "client_side_defense": true, "cookie_protection": true, "cors_policy": true, "csrf_protection": true, "data_guard": true, "ddos_auto_mitigation": true, "ddos_mitigation": true, "ddos_protection": true, "default_loadbalancer": true, "graph_ql_inspection": true, "http_only": true, "ip_reputation": true, "malicious_user_detection": true, "malicious_user_mitigation": true, "malware_protection": true, "mutual_tls": true, "namespace_service_policy": true, "origin_server_subset": true, "private_advertisement": true, "public_advertisment": true, "routes": true, "service_policy": true, "slow_ddos_mitigation": true, "trusted_client": true, "trusted_client_ip_headers": true, "waf": true, "waf_exclusion": true }, "http_load_balancer_filter": { "api_definition": true, "api_discovery": true, "api_protection": true, "api_schema_validation": true, "bot_protection": true, "client_blocking": true, "client_side_defense": true, "cookie_protection": true, "cors_policy": true, "csrf_protection": true, "data_guard": true, "ddos_auto_mitigation": true, "ddos_mitigation": true, "ddos_protection": true, "default_loadbalancer": true, "graph_ql_inspection": true, "http_only": true, "ip_reputation": true, "malicious_user_detection": true, "malicious_user_mitigation": true, "malware_protection": true, "mutual_tls": true, "namespace_service_policy": true, "origin_server_subset": true, "private_advertisement": true, "public_advertisment": true, "routes": true, "service_policy": true, "slow_ddos_mitigation": true, "trusted_client": true, "trusted_client_ip_headers": true, "waf": true, "waf_exclusion": true }, "namespace": "example", "nginx_one_server_filter": { "api_discovery": true, "waf_configured": true }, "tcp_load_balancer_filter": { "namespace_service_policy": true, "private_advertisement": true, "public_advertisment": true, "service_policy": true, "tls_encryption": true }, "third_party_application_filter": { "api_discovery": true }, "udp_load_balancer_filter": { "private_advertisement": true, "public_advertisment": true, "namespace_service_policy": true, "service_policy": true }}Responses
Section titled “Responses”A successful response.
Response for inventory of application related objects.
object
object
Number of BIG-IP Virtual Servers with API Discovery enabled.
List of BIG-IP Virtual Server.
BIG-IP Virtual Server Inventory Results.
object
object
VS Description of BIG-IP.
Name of BIG-IP Host.
Name of BIG-IP Virtual Server.
Display Name of BIG-IP VS.
Version of BIG-IP.
WAF Enforcement Mode.
WAF Policy Name.
Namespace of BIG-IP VS.
Number of BIG-IP Virtual Servers with WAF configured.
object
Number of HTTP loadbalancers with API Discovery enabled.
Number of HTTP loadbalancers with API Protection configured.
Number of HTTP loadbalancers with Bot Protection configured.
List of CDN loadbalancers.
HTTP Loadbalancer Inventory Results.
object
object
object
object
object
object
Certification Expiration Date.
Certification Status.
object
object
Connection Idle Timeout.
object
object
object
object
object
object
object
object
DNS Info
Domains
object
object
HTTP Listen Port Choice.
Idle Timeout.
object
Loadbalancer Algorithm configured.
object
object
object
object
Name of HTTP LB.
Namespace of HTTP LB.
object
object
object
object
object
object
object
object
TLS Security Level.
object
object
VIP Type
object
WAF Enforcement Mode.
object
Reference to the WAF policy (if applicable)
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Number of HTTP loadbalancers with Client Side Defense configured.
Number of HTTP loadbalancers with L7 DDoS Detection enabled.
Number of HTTP Only loadbalancers.
List of HTTP loadbalancers.
HTTP Loadbalancer Inventory Results.
object
object
object
object
object
object
Certification Expiration Date.
Certification Status.
object
object
Connection Idle Timeout.
object
object
object
object
object
object
object
object
DNS Info
Domains
object
object
HTTP Listen Port Choice.
Idle Timeout.
object
Loadbalancer Algorithm configured.
object
object
object
object
Name of HTTP LB.
Namespace of HTTP LB.
object
object
object
object
object
object
object
object
TLS Security Level.
object
object
VIP Type
object
WAF Enforcement Mode.
object
Reference to the WAF policy (if applicable)
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Number of HTTP loadbalancers with IP Reputation configured.
Number of HTTP loadbalancers with Malicious User Detection configured.
Number of HTTP loadbalancers with Malware Protection configured.
Number of HTTP loadbalancers with Namespace Service Policy configured.
Number of HTTP loadbalancers advertised privately.
Number of HTTP loadbalancers advertised publicly.
Number of HTTP loadbalancers with Service Policy configured.
Number of HTTP loadbalancers with WAF configured.
object
Number of HTTP loadbalancers with API Discovery enabled.
Number of HTTP loadbalancers with API Protection configured.
Number of HTTP loadbalancers with Bot Protection configured.
List of CDN loadbalancers.
HTTP Loadbalancer Inventory Results.
object
object
object
object
object
object
Certification Expiration Date.
Certification Status.
object
object
Connection Idle Timeout.
object
object
object
object
object
object
object
object
DNS Info
Domains
object
object
HTTP Listen Port Choice.
Idle Timeout.
object
Loadbalancer Algorithm configured.
object
object
object
object
Name of HTTP LB.
Namespace of HTTP LB.
object
object
object
object
object
object
object
object
TLS Security Level.
object
object
VIP Type
object
WAF Enforcement Mode.
object
Reference to the WAF policy (if applicable)
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Number of HTTP loadbalancers with Client Side Defense configured.
Number of HTTP loadbalancers with L7 DDoS Detection enabled.
Number of HTTP Only loadbalancers.
List of HTTP loadbalancers.
HTTP Loadbalancer Inventory Results.
object
object
object
object
object
object
Certification Expiration Date.
Certification Status.
object
object
Connection Idle Timeout.
object
object
object
object
object
object
object
object
DNS Info
Domains
object
object
HTTP Listen Port Choice.
Idle Timeout.
object
Loadbalancer Algorithm configured.
object
object
object
object
Name of HTTP LB.
Namespace of HTTP LB.
object
object
object
object
object
object
object
object
TLS Security Level.
object
object
VIP Type
object
WAF Enforcement Mode.
object
Reference to the WAF policy (if applicable)
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Number of HTTP loadbalancers with IP Reputation configured.
Number of HTTP loadbalancers with Malicious User Detection configured.
Number of HTTP loadbalancers with Malware Protection configured.
Number of HTTP loadbalancers with Namespace Service Policy configured.
Number of HTTP loadbalancers advertised privately.
Number of HTTP loadbalancers advertised publicly.
Number of HTTP loadbalancers with Service Policy configured.
Number of HTTP loadbalancers with WAF configured.
Number of HTTP and TCP Load Balancers configured.
object
Number of NGINX One Servers with API Discovery enabled.
List of NGINX One Server.
object
object
Domains of NGINX One Server.
Uniqueness identifier for NGINX One Server.
Instance or Config Sync Group ID.
Hostname value set for Instance or Name for a Config Sync Group in NGINX One.
Server name specified as ${server_name} in NGINX config plus port.
Total locations configured in the NGINX Server.
WAF Enforcement Mode.
Policy file name for WAF.
Specifies the platform that manages related WAF policies
Required: YES.
Policy name configured for WAF.
Specifies if security logging is enabled.
WAF Security File Names.
Number of NGINX One Servers with WAF configured.
Number of origin pools configured.
Number of services discovered.
object
Number of TCP loadbalancers with Namespace Service Policy configured.
Number of TCP loadbalancers advertised privately.
Number of TCP loadbalancers advertised publicly.
Number of TCP loadbalancers with Service Policy configured.
List of TCP loadbalancers.
TCP Loadbalancer Inventory Results.
object
Name of TCP LB.
Namespace of TCP LB.
object
object
object
object
object
object
Number of TCP loadbalancers with TLS Encryption configured.
object
Number of Third Party Application with API Discovery enabled.
List of Third Party Applications.
Third Party Application Inventory Results.
object
object
Name of Third Party Application.
object
Number of UDP loadbalancers advertised privately.
Number of UDP loadbalancers advertised publicly.
List of UDP loadbalancers.
UDP Loadbalancer Inventory Results.
object
Name of UDP LB.
Namespace of UDP LB.
object
object
object
object
Number of UDP loadbalancers with Namespace Service Policy configured.
Number of UDP loadbalancers with Service Policy configured.
Examplegenerated
{ "bigip_virtual_servers": { "api_discovery": 1, "bigiplb_results": [ { "api_discovery_enabled": {}, "description": "example", "host_name": "example", "name": "example", "server_name": "example", "version": "example", "waf_enforcement_mode": "example", "waf_policy_name": "example", "namespace": "example" } ], "waf_configured": 1 }, "cdn_loadbalancers": { "api_discovery": 1, "api_protection": 1, "bot_protection": 1, "cdnlb_results": [ { "api_definition_enabled": {}, "api_discovery_enabled": {}, "api_protection_enabled": {}, "api_schema_validation_enabled": {}, "bot_protection_enabled": {}, "certification_expiration_date": "2026-04-15T12:00:00Z", "certification_status": "example", "client_blocking_enabled": {}, "client_side_defense_enabled": {}, "connection_idle_timeout": 1, "cookie_protection_enabled": {}, "cors_policy_enabled": {}, "csrf_protection_enabled": {}, "data_guard_enabled": {}, "ddos_auto_mitigation_enabled": {}, "ddos_mitigation_enabled": {}, "ddos_protection_enabled": {}, "default_loadbalancer_enabled": {}, "dns_info": "example", "domains": [ "example" ], "graph_ql_inspection_enabled": {}, "http_enabled": {}, "http_listen_port_choice": "example", "idle_timeout": 1, "ip_reputation_enabled": {}, "loadbalancer_algorithm": "example", "malicious_user_detection_enabled": {}, "malicious_user_mitigation_enabled": {}, "malware_protection_enabled": {}, "mutual_tls_enabled": {}, "name": "example", "namespace": "example", "namespace_service_policy_enabled": {}, "origin_server_subset_enabled": {}, "private_advertisement_enabled": {}, "public_advertisment_enabled": {}, "rate_limit": {}, "routes_enabled": {}, "service_policy_enabled": {}, "slow_ddos_mitigation_enabled": {}, "tls_security_level": "example", "trusted_client_enabled": {}, "trusted_client_ip_headers_enabled": {}, "vip_type": "example", "waf_enabled": {}, "waf_enforcement_mode": "example", "waf_exclusion_enabled": {}, "waf_policy_ref": [ { "name": "example", "namespace": "example" } ] } ], "client_side_defense": 1, "ddos_protection": 1, "http_only": 1, "httplb_results": [ { "api_definition_enabled": {}, "api_discovery_enabled": {}, "api_protection_enabled": {}, "api_schema_validation_enabled": {}, "bot_protection_enabled": {}, "certification_expiration_date": "2026-04-15T12:00:00Z", "certification_status": "example", "client_blocking_enabled": {}, "client_side_defense_enabled": {}, "connection_idle_timeout": 1, "cookie_protection_enabled": {}, "cors_policy_enabled": {}, "csrf_protection_enabled": {}, "data_guard_enabled": {}, "ddos_auto_mitigation_enabled": {}, "ddos_mitigation_enabled": {}, "ddos_protection_enabled": {}, "default_loadbalancer_enabled": {}, "dns_info": "example", "domains": [ "example" ], "graph_ql_inspection_enabled": {}, "http_enabled": {}, "http_listen_port_choice": "example", "idle_timeout": 1, "ip_reputation_enabled": {}, "loadbalancer_algorithm": "example", "malicious_user_detection_enabled": {}, "malicious_user_mitigation_enabled": {}, "malware_protection_enabled": {}, "mutual_tls_enabled": {}, "name": "example", "namespace": "example", "namespace_service_policy_enabled": {}, "origin_server_subset_enabled": {}, "private_advertisement_enabled": {}, "public_advertisment_enabled": {}, "rate_limit": {}, "routes_enabled": {}, "service_policy_enabled": {}, "slow_ddos_mitigation_enabled": {}, "tls_security_level": "example", "trusted_client_enabled": {}, "trusted_client_ip_headers_enabled": {}, "vip_type": "example", "waf_enabled": {}, "waf_enforcement_mode": "example", "waf_exclusion_enabled": {}, "waf_policy_ref": [ { "name": "example", "namespace": "example" } ] } ], "ip_reputation": 1, "malicious_user_detection": 1, "malware_protection": 1, "namespace_service_policy": 1, "private_advertisement": 1, "public_advertisment": 1, "service_policy": 1, "waf": 1 }, "http_loadbalancers": { "api_discovery": 1, "api_protection": 1, "bot_protection": 1, "cdnlb_results": [ { "api_definition_enabled": {}, "api_discovery_enabled": {}, "api_protection_enabled": {}, "api_schema_validation_enabled": {}, "bot_protection_enabled": {}, "certification_expiration_date": "2026-04-15T12:00:00Z", "certification_status": "example", "client_blocking_enabled": {}, "client_side_defense_enabled": {}, "connection_idle_timeout": 1, "cookie_protection_enabled": {}, "cors_policy_enabled": {}, "csrf_protection_enabled": {}, "data_guard_enabled": {}, "ddos_auto_mitigation_enabled": {}, "ddos_mitigation_enabled": {}, "ddos_protection_enabled": {}, "default_loadbalancer_enabled": {}, "dns_info": "example", "domains": [ "example" ], "graph_ql_inspection_enabled": {}, "http_enabled": {}, "http_listen_port_choice": "example", "idle_timeout": 1, "ip_reputation_enabled": {}, "loadbalancer_algorithm": "example", "malicious_user_detection_enabled": {}, "malicious_user_mitigation_enabled": {}, "malware_protection_enabled": {}, "mutual_tls_enabled": {}, "name": "example", "namespace": "example", "namespace_service_policy_enabled": {}, "origin_server_subset_enabled": {}, "private_advertisement_enabled": {}, "public_advertisment_enabled": {}, "rate_limit": {}, "routes_enabled": {}, "service_policy_enabled": {}, "slow_ddos_mitigation_enabled": {}, "tls_security_level": "example", "trusted_client_enabled": {}, "trusted_client_ip_headers_enabled": {}, "vip_type": "example", "waf_enabled": {}, "waf_enforcement_mode": "example", "waf_exclusion_enabled": {}, "waf_policy_ref": [ { "name": "example", "namespace": "example" } ] } ], "client_side_defense": 1, "ddos_protection": 1, "http_only": 1, "httplb_results": [ { "api_definition_enabled": {}, "api_discovery_enabled": {}, "api_protection_enabled": {}, "api_schema_validation_enabled": {}, "bot_protection_enabled": {}, "certification_expiration_date": "2026-04-15T12:00:00Z", "certification_status": "example", "client_blocking_enabled": {}, "client_side_defense_enabled": {}, "connection_idle_timeout": 1, "cookie_protection_enabled": {}, "cors_policy_enabled": {}, "csrf_protection_enabled": {}, "data_guard_enabled": {}, "ddos_auto_mitigation_enabled": {}, "ddos_mitigation_enabled": {}, "ddos_protection_enabled": {}, "default_loadbalancer_enabled": {}, "dns_info": "example", "domains": [ "example" ], "graph_ql_inspection_enabled": {}, "http_enabled": {}, "http_listen_port_choice": "example", "idle_timeout": 1, "ip_reputation_enabled": {}, "loadbalancer_algorithm": "example", "malicious_user_detection_enabled": {}, "malicious_user_mitigation_enabled": {}, "malware_protection_enabled": {}, "mutual_tls_enabled": {}, "name": "example", "namespace": "example", "namespace_service_policy_enabled": {}, "origin_server_subset_enabled": {}, "private_advertisement_enabled": {}, "public_advertisment_enabled": {}, "rate_limit": {}, "routes_enabled": {}, "service_policy_enabled": {}, "slow_ddos_mitigation_enabled": {}, "tls_security_level": "example", "trusted_client_enabled": {}, "trusted_client_ip_headers_enabled": {}, "vip_type": "example", "waf_enabled": {}, "waf_enforcement_mode": "example", "waf_exclusion_enabled": {}, "waf_policy_ref": [ { "name": "example", "namespace": "example" } ] } ], "ip_reputation": 1, "malicious_user_detection": 1, "malware_protection": 1, "namespace_service_policy": 1, "private_advertisement": 1, "public_advertisment": 1, "service_policy": 1, "waf": 1 }, "loadbalancers": 1, "nginx_one_servers": { "api_discovery_enabled_server_count": 1, "nginx_server_results": [ { "api_discovery_enabled": {}, "domains": [ "example" ], "name": "example", "nginx_one_object_id": "example", "nginx_one_object_name": "example", "nginx_one_server_name": "example", "total_routes": 1, "waf_enforcement_mode": "example", "waf_policy_file_name": "example", "waf_policy_management_platform": "example", "waf_policy_name": "example", "waf_security_log_enabled": true, "waf_security_log_file_names": [ "example" ] } ], "waf_enabled_server_count": 1 }, "origin_pools": 1, "services_discovered": 1, "tcp_loadbalancers": { "namespace_service_policy": 1, "private_advertisement": 1, "public_advertisment": 1, "service_policy": 1, "tcplb_results": [ { "name": "example", "namespace": "example", "namespace_service_policy": {}, "private_advertisement": {}, "public_advertisment": {}, "rate_limit": {}, "service_policy": {}, "tls_encryption": {} } ], "tls_encryption": 1 }, "third_party_applications": { "api_discovery": 1, "third_party_application_results": [ { "api_discovery_enabled": {}, "name": "example" } ] }, "udp_loadbalancers": { "private_advertisement": 1, "public_advertisment": 1, "udplb_results": [ { "name": "example", "namespace": "example", "private_advertisement": {}, "public_advertisment": {}, "namespace_service_policy": {}, "service_policy": {} } ], "namespace_service_policy": 1, "service_policy": 1 }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example